Get File
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": null,
"original_filename": null
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Files
Get File
GET
/
public
/
v1
/
files
/
{file_id}
Get File
This returns an S3 Presigned URL which is active for 60 minutes. You can use this url to download this file.
Below is an example for how to do this in python
import requests
response = requests.get('https://xxx.s3.amazonaws.com/xxxxxxx')
with open('output.pdf', 'wb') as f:
f.write(response.content)
⌘I